# iOVM_L2ToL1MessagePasser



> iOVM_L2ToL1MessagePasser





## Methods

### passMessageToL1

```solidity
function passMessageToL1(bytes _message) external nonpayable
```

Passes a message to L1.



#### Parameters

| Name | Type | Description |
|---|---|---|
| _message | bytes | Message to pass to L1.



## Events

### L2ToL1Message

```solidity
event L2ToL1Message(uint256 _nonce, address _sender, bytes _data)
```





#### Parameters

| Name | Type | Description |
|---|---|---|
| _nonce  | uint256 | undefined |
| _sender  | address | undefined |
| _data  | bytes | undefined |



